Bug 868924 - [abrt] libreport-gtk-2.0.14-1.fc18: insert_run: Process /usr/bin/report-gtk was killed by signal 6 (SIGABRT)
[abrt] libreport-gtk-2.0.14-1.fc18: insert_run: Process /usr/bin/report-gtk w...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
abrt_hash:3d581edd114789f24f01dcd948f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 09:25 EDT by Stef Walter
Modified: 2018-06-04 07:24 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-04 23:21:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.03 KB, text/plain)
2012-10-22 09:25 EDT, Stef Walter
no flags Details
File: environ (2.46 KB, text/plain)
2012-10-22 09:25 EDT, Stef Walter
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-22 09:25 EDT, Stef Walter
no flags Details
File: backtrace (27.88 KB, text/plain)
2012-10-22 09:25 EDT, Stef Walter
no flags Details
File: cgroup (127 bytes, text/plain)
2012-10-22 09:25 EDT, Stef Walter
no flags Details
File: smolt_data (2.76 KB, text/plain)
2012-10-22 09:25 EDT, Stef Walter
no flags Details
File: maps (45.34 KB, text/plain)
2012-10-22 09:25 EDT, Stef Walter
no flags Details
File: dso_list (8.91 KB, text/plain)
2012-10-22 09:25 EDT, Stef Walter
no flags Details
File: open_fds (530 bytes, text/plain)
2012-10-22 09:25 EDT, Stef Walter
no flags Details
File: var_log_messages (922 bytes, text/plain)
2012-10-22 09:25 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-10-22 09:25:08 EDT
Version-Release number of selected component:
libreport-gtk-2.0.14-1.fc18

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        report-gtk -e report_uReport -e analyze_CCpp -e report_Bugzilla -e post_report -- /var/spool/abrt/ccpp-2012-09-28-10:35:49-23155
crash_function: insert_run
kernel:         3.6.0-0.rc7.git0.1.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #6 insert_run at pango-layout.c:3232
: #7 process_item at pango-layout.c:3337
: #8 process_line at pango-layout.c:3595
: #9 pango_layout_check_lines at pango-layout.c:3916
: #11 pango_layout_get_extents_internal at pango-layout.c:2491
: #12 pango_layout_get_extents at pango-layout.c:2673
: #13 gtk_label_get_preferred_layout_size at gtklabel.c:3570
: #14 gtk_label_get_preferred_size at gtklabel.c:3613
: #15 compute_size_for_orientation at gtksizerequest.c:359
: #16 gtk_widget_get_preferred_width at gtksizerequest.c:552
Comment 1 Stef Walter 2012-10-22 09:25:12 EDT
Created attachment 631505 [details]
File: core_backtrace
Comment 2 Stef Walter 2012-10-22 09:25:17 EDT
Created attachment 631506 [details]
File: environ
Comment 3 Stef Walter 2012-10-22 09:25:21 EDT
Created attachment 631507 [details]
File: limits
Comment 4 Stef Walter 2012-10-22 09:25:24 EDT
Created attachment 631508 [details]
File: backtrace
Comment 5 Stef Walter 2012-10-22 09:25:27 EDT
Created attachment 631509 [details]
File: cgroup
Comment 6 Stef Walter 2012-10-22 09:25:32 EDT
Created attachment 631510 [details]
File: smolt_data
Comment 7 Stef Walter 2012-10-22 09:25:39 EDT
Created attachment 631511 [details]
File: maps
Comment 8 Stef Walter 2012-10-22 09:25:42 EDT
Created attachment 631512 [details]
File: dso_list
Comment 9 Stef Walter 2012-10-22 09:25:44 EDT
Created attachment 631513 [details]
File: open_fds
Comment 10 Stef Walter 2012-10-22 09:25:46 EDT
Created attachment 631514 [details]
File: var_log_messages
Comment 11 Jakub Filak 2013-03-12 11:46:06 EDT
According to the stack trace lines bellow, it looks like a bug in pango.

#3 malloc_printerr (ptr=0x1bff130, str=0x3b56b79a88 "double free or corruption (out)", action=3)
#4  _int_free at malloc.c:3826
#5 g_free (mem=0x1bff130) at gmem.c:252
#6 insert_run at pango-layout.c:3232
#7 process_item at pango-layout.c:3337
Comment 12 Jakub Filak 2013-03-12 12:31:41 EDT
Potential duplicate of bug 868923
Comment 13 Fedora Admin XMLRPC Client 2013-05-14 08:12:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2013-12-21 04:10:10 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Akira TAGOH 2014-01-21 23:38:30 EST
Is this issue still present in the latest release?
Comment 16 Akira TAGOH 2014-02-04 23:21:16 EST
Please reopen if this issue is still present.

Note You need to log in before you can comment on or make changes to this bug.